Creates a new unavailability type

Request Information

URI Parameters :

None.

Body Parameters :

user_unavailability_type
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
code

Field used for Embedded entity (store there your ERP PK)

string

Max length: 50

name

Name of the unavailability type

string

Required

Max length: 20

description

Long description

string

Max length: 100

sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating company_type

string
sales_organization

Embedded entity "sales_organization" when adding/updating company_type

sales_organization
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "f35a28af-b855-4ab9-a5df-dc5c35218650",
  "code": "sample string 2",
  "name": "sample string 3",
  "description": "sample string 4",
  "sales_organization_id": "5c4860c9-2f32-4f88-b81e-6e097c321c66",
  "sales_organization_code": "sample string 6",
  "sales_organization": {
    "id": "66db80d5-1069-4ec6-a156-ca82f7452141",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "22ca0489-8753-46c9-b7db-3c98acbad067",
    "db_currency_id": "fad3655b-7a45-4069-9398-6c4939c35df8",
    "db_language_id": "b2fdf525-3b59-45bb-b837-e4f4a072eeb7",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-05-01T15:59:58.8940426+00:00"
  },
  "modified_dateutc": "2026-05-01T15:59:58.8940426+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.